import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { MatLegacySelectChange as MatSelectChange } from "@angular/material/legacy-select";
import { MatLegacyTabChangeEvent as MatTabChangeEvent } from "@angular/material/legacy-tabs";
import { ThemeDto } from "@smallstack/axios-api-client";
import { FrontendSchemaService } from "@smallstack/common-components";
import { ThemeService } from "@smallstack/theme-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import * as i0 from "@angular/core";
export declare class ThemeEditorComponent implements OnInit, OnDestroy {
    private themeService;
    theme: ThemeDto;
    showTemplates: boolean;
    readonly themeChange: EventEmitter<ThemeDto>;
    jsonThemeAsString: string;
    cssThemeAsString: string;
    editorShown: boolean;
    protected schema: SmallstackTypeSchema;
    protected templates: {
        [name: string]: ThemeDto;
    };
    private $debounceEmitter;
    private subscription;
    constructor(themeService: ThemeService, schemaService: FrontendSchemaService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngOnInit(): void;
    applyTemplate(event: MatSelectChange): void;
    tabChange(event: MatTabChangeEvent): void;
    emitChange(): void;
    applyEditorTheme(): void;
    private updateEditorData;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThemeEditorComponent, "smallstack-theme-editor", never, { "theme": { "alias": "theme"; "required": false; }; "showTemplates": { "alias": "showTemplates"; "required": false; }; }, { "themeChange": "themeChange"; }, never, never, true, never>;
}
