import { SocketDto } from "@smallstack/axios-api-client";
import { StoreRegistry } from "@smallstack/common-components";
import { PageableStore } from "@smallstack/store";
import { FilterName, FilterValues } from "@smallstack/store-components";
import { SearchQuery } from "@smallstack/typesystem";
import { BaseWidgetComponent, SocketAwareWidget, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class StoreSearchWidgetComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private storeRegistry;
    static sockets: SocketDto[];
    store: PageableStore;
    filterNames: FilterName[];
    filterValues: FilterValues;
    private storeSearchComponent;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(storeRegistry: StoreRegistry);
    setData(data: {
        filterNames: any;
        operationMode: "store" | "sendQuery";
    }): void;
    sendSearchQuery(searchQuery: SearchQuery): void;
    handleSocketData(socketName: string, data?: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoreSearchWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StoreSearchWidgetComponent, "store-search-widget", never, {}, {}, never, never, false, never>;
}
