import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, CounterDto } from "@smallstack/axios-api-client";
import { PageableCrudStore } from "@smallstack/store";
import { SmallstackType, TypeSupport } from "@smallstack/typesystem";
import * as i0 from "@angular/core";
export declare class CounterStore extends PageableCrudStore<CounterDto> implements TypeSupport {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    getType(): Promise<SmallstackType>;
    protected createModel(counter: CounterDto): Promise<CounterDto>;
    protected patchModel(id: string, counter: Partial<CounterDto>): Promise<CounterDto>;
    protected putModel(counter: CounterDto): Promise<CounterDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected loadModels(query: ApiQueryRequest): Promise<Page<CounterDto>>;
    protected loadModelById(id: string): Promise<CounterDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CounterStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CounterStore>;
}
